SDL_platform.h File Reference
`#include "begin_code.h"`
`#include "close_code.h"`
Include dependency graph for SDL_platform.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Macros

#define | HAVE_WINAPIFAMILY_H 0
#define | WINAPI_FAMILY_WINRT 0
#define | SDL_WINAPI_FAMILY_PHONE 0
#define | __WINDOWS__ 1
#define | __WIN32__ 1

## Functions

const char * | SDL_GetPlatform (void)

## Macro Definition Documentation

## __WIN32__

#define __WIN32__ 1

Definition at line 201 of file SDL_platform.h.

## __WINDOWS__

#define __WINDOWS__ 1

Definition at line 195 of file SDL_platform.h.

## HAVE_WINAPIFAMILY_H

#define HAVE_WINAPIFAMILY_H 0

# CategoryPlatform

Try to get a standard set of platform defines.

Definition at line 165 of file SDL_platform.h.

## SDL_WINAPI_FAMILY_PHONE

#define SDL_WINAPI_FAMILY_PHONE 0

Definition at line 178 of file SDL_platform.h.

## WINAPI_FAMILY_WINRT

#define WINAPI_FAMILY_WINRT 0

Definition at line 172 of file SDL_platform.h.

## Function Documentation

## SDL_GetPlatform()

const char * SDL_GetPlatform | ( | void |  | ) |

extern

Get the name of the platform.

Here are the names returned for some (but not all) supported platforms:

- "Windows"
- "Mac OS X"
- "Linux"
- "iOS"
- "Android"

Returns
  the name of the platform. If the correct platform name is not available, returns a string beginning with the text "Unknown".

Since
  This function is available since SDL 2.0.0.